﻿/*---------------------------------------------------------------------------//
 RAWR - Player v1.0.0 - Interface

 © 2007-2009, RAWR-Designs, Some Rights Reserved -
	Christopher "That Stevens Guy" Stevens
	Richard "Giant Eagle" Tuininga
 (CC) http://creativecommons.org/licenses/by-nc-sa/3.0/

 Any queries? -
	Email: contact[at]rawr-designs[dot]com
	Forum: http://www.rawr-designs.com/forum/
 	Homepage: http://www.rawr-designs.com
//---------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------//
 Generic fade function for the playstatus.
//---------------------------------------------------------------------------*/
fadeFunc = function (obj, method, alpha) {
	obj.onEnterFrame = function() {
		if(this._alpha > alpha && method == "out") {
			this._alpha -= 5;
		} else if(this._alpha < alpha && method == "in") {
			this._alpha += 5;
		} else {
			delete this.onEnterFrame;
		}
	}
}
/*---------------------------------------------------------------------------//
 Hide some icons and set some defaults.
//---------------------------------------------------------------------------*/
gui.tt._visible = gui.playPauseBtn.pauseIcon._visible = bigBtn.pauseIcon._visible = bigBtn.bufferInfo._visible = bigBtn._visible = false;
gui.Bg._width = gui.id3Bg._width = gui.id3Bg1._width = Stage.width;

if(ext == ".m4a" || ext == ".aac" || ext == ".f4a" || ext == ".f4b" || type != "ns") {
	unloadMovie(gui.viewBtn);
	unloadMovie(video);
	unloadMovie(overlay);
	unloadMovie(bigBtn);
	marqueeText(name);
} else if(type != "mp3") {
	unloadMovie(gui.stopBtn);
	unloadMovie(id3Bg);
	unloadMovie(id3Bg1);
	gui._y = Stage.height - 30;
	bigBtn._y = Stage.height / 2 - 20;
	bigBtn._x = Stage.width / 2;
	overlay._width = Stage.width;
	overlay._height = Stage.height - 30;
}
/*---------------------------------------------------------------------------//
 Sort out progress bar.
//---------------------------------------------------------------------------*/
if(mode != "full") {
	unloadMovie(gui.prevBtn);
	unloadMovie(gui.nextBtn);
	gui.counter._x = 39;
	gui.progressBar._x = 76;
	gui.progressBar.Bg._width = Stage.width - 170;
} else {
	gui.progressBar.Bg._width = Stage.width - 208;
}
gui.progressBar.progressBg._width = gui.progressBar.Bg._width - 6;
gui.progressBar.playStatus._xscale = gui.progressBar.loadStatus._width = 0;
/*---------------------------------------------------------------------------//
 Sort out right side of interface.
//---------------------------------------------------------------------------*/
gui.methodBtn._x = Stage.width - 19;
gui.volumeBar._x = Stage.width - 56;
gui.tt._x = gui.percentage._x = Stage.width - 93;
/*---------------------------------------------------------------------------//
 Interface variables for later.
//---------------------------------------------------------------------------*/
var volBackWidth	 = gui.volumeBar.volBack._width + gui.volumeBar.volMask._width;
var progressBarWidth = gui.progressBar._width / 100;
var statusWidth		 = gui.progressBar.progressBg._width / 100;
var seekIconPos		 = (gui.progressBar._width - gui.progressBar.progressBg._width) / 2;
gui.progressBar.seekIcon._x = seekIconPos; //Set initial seek icon position.
/*---------------------------------------------------------------------------//
 Fit the stage on resize.
//---------------------------------------------------------------------------*/
var myMediaHeight, myMediaWidth;
var stageResize = new Object();
Stage.addListener(stageResize);
stageFit = stageResize.onResize = function () {
	video._x = video._y = 0;
	video._height = Stage.height - 30;
	video._width = Stage.width;
	if(myMediaWidth != undefined && myMediaHeight != undefined) {
		if(Math.round(myMediaWidth * 3 / 10) == Math.round(myMediaHeight * 4 / 10)) {
			video._height = video._height;
			video._width = video._height * myMediaWidth / myMediaHeight;
		} else {
			video._width = video._width;
			video._height = video._width * myMediaHeight / myMediaWidth;
		}
	} else {
		video._height = Stage.height - 30;
		video._width = Stage.width;
	}
	overlay._x = video._x = (Stage.width - video._width) / 2;
	overlay._y = video._y = (Stage.height - video._height - 30) / 2;
	overlay._width = video._width;
	overlay._height = video._height;
	bigBtn._x = Stage.width / 2;
	bigBtn._y = Stage.height / 2 - 20;
	//Sort out progress bar.
	if(mode != "full") {
		gui.progressBar.Bg._width = Stage.width - 170;
	} else {
		gui.progressBar.Bg._width = Stage.width - 208;
	}
	gui.progressBar.progressBg._width = gui.progressBar.Bg._width - 6;
	// Sort our Sort out right side of interface.
	gui.methodBtn._x = Stage.width - 19;
	gui.volumeBar._x = Stage.width - 56;
	gui.tt._x = gui.percentage._x = Stage.width - 93;
	//Sort out interface.
	statusWidth	= gui.progressBar.progressBg._width / 100;
	if(type!="ns") {
		marqueeText(id3Data);
		gui.Bg._width = gui.id3Bg._width = gui.id3Bg1._width = Stage.width;
	} else {
		gui._y = Stage.height - 30;
		gui.Bg._width = Stage.width;
	}
}